@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";
p {
  margin-bottom: 1rem;
  line-height: 1.75;
}

h1,
h2,
h3,
h4,
h5 {
  line-height: 1.3;
  margin-top: 2rem;
  margin-bottom: 0.58rem;
}

h1 {
  margin-top: 0;
  font-size: 2.488rem;
}

h2 {
  font-size: 2.074rem;
}

h3 {
  font-size: 1.728rem;
}

h4 {
  font-size: 1.44rem;
}

h5 {
  font-size: 1.2rem;
}

small,
.text_small {
  font-size: 0.833rem;
}

ol:not([class]),
ul:not([class]) {
  margin-left: 30px !important;
  margin-bottom: 1.15rem !important;
  line-height: 1.6;
}

ul:not([class]) {
  list-style: initial !important;
}

ol:not([class]) li,
ul:not([class]) li {
  line-height: 1.6;
  margin-bottom: 0.85rem;
}

.no-bullet {
  list-style: none !important;
}

ol {
  list-style-type: decimal !important;
}

.logo {
  img {
    max-width: 70%;
  }
  p {
    font-size: 12px;
  }
}

@media (min-width: 768px) {
  .logo {
    img {
      max-width: 100%;
    }
    p {
      font-size: initial;
    }
  }
}

.flashes {
  max-width: 100%;
  margin: 0;
  margin-top: -20px;
  background: #fff;
  position: relative;
  left: 0;
  color: black;
  text-align: left;
  width: 100%;

  .flash {
    font-size: 0.875rem;
    padding: 12px 0;
    @media (min-width: 1001px) {
      font-size: 1rem;
    }
  }
  .flash.flash-alert {
    background: red;
    color: #fff;
    padding: 5px 0;
    &:before {
      content: "\f071";
      font-family: "Font Awesome 5 Free";
      font-weight: 900;
      color: #fff;
      padding: 0 0.5rem;
    }
  }
  .flash.flash-notice {
    background: #5aa700;
    color: #fff;
    padding: 5px 0;
    &:before {
      content: "\f14a";
      font-family: "Font Awesome 5 Free";
      font-weight: 900;
      color: #fff;
      padding: 0 0.5rem;
    }
  }
}

.error{
  color:red;
  font-size: .875rem;
}

.errors {
  margin: 0;
  background: #fff;
  padding: 0.25rem 0 0.25rem 0.25rem;
  font-size: 0.75rem;
  color: black;
  text-align: left;
  width: 100%;
  border-top: 1px solid red;
  border-bottom: 1px solid red;
  border-right: 1px solid red;
  border-left: 6px solid red;
  li {
    &:before {
      content: "\f071";
      font-family: "Font Awesome 5 Free";
      font-weight: 900;
      color: red;
      padding: 0 0.5rem;
    }
  }
}

.inline-errors {
  margin: 0;
  background: #fff;
  padding: 0.25rem 0 0.25rem 0.25rem;
  font-size: 0.75rem;
  color: black;
  text-align: left;
  width: 100%;
  border-top: 1px solid red;
  border-bottom: 1px solid red;
  border-right: 1px solid red;
  border-left: 6px solid red;
  &:before {
    content: "\f071";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: red;
    padding: 0 0.5rem;
  }
}

#card-errors:not(:empty) {
  margin: 0 0 10px 0;
  background: #fff;
  padding: 0.25rem 0 0.25rem 0.25rem;
  font-size: 0.75rem;
  color: black;
  text-align: left;
  width: 100%;
  border-top: 1px solid red;
  border-bottom: 1px solid red;
  border-right: 1px solid red;
  border-left: 6px solid red;
  &:before {
    content: "\f071";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: red;
    padding: 0 0.5rem;
  }
}

li.input.error {
  input {
    border-color: red;
  }
}

